jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Marcel Reutegger (JIRA)" <j...@apache.org>
Subject [jira] Commented: (JCR-352) Upgrade to Lucene 1.9.1
Date Thu, 23 Mar 2006 09:34:31 GMT
    [ http://issues.apache.org/jira/browse/JCR-352?page=comments#action_12371534 ] 

Marcel Reutegger commented on JCR-352:
--------------------------------------

I would definitively like to keep the lucene dependency to version 1.4.3 for the jackrabbit
1.0 release. If the lucene promise for their 1.9 release is true then replacing an 1.4.x lucene
with the new one should work just fine. There should only be deprecated warnings when compiling
existing code against 1.9. Anything else seems like a bug with the lucene 1.9 release.

As a development roadmap I would like to migrate to lucene 1.9 for the next jackrabbit release
1.1 and rewrite all jackrabbit code that uses deprecated lucene 1.9 features. While doing
this we also have the opportunity to make use of new features and improved performance.

> Upgrade to Lucene 1.9.1
> -----------------------
>
>          Key: JCR-352
>          URL: http://issues.apache.org/jira/browse/JCR-352
>      Project: Jackrabbit
>         Type: Improvement
>     Versions: 1.0, 0.9
>  Environment: All
>     Reporter: Michael Young
>     Assignee: Jukka Zitting

>
> We would like to upgrade to Lucene 1.9.1. There are jar conflicts when integrating with
other projects such as Liferay Portal --  which uses v 1.9.1.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message